/* You can add global styles to this file, and also import other style files */

body {
  width: 800px;
  margin: auto;
  background-color: #efefef;
}

.page-container {
  background-color: #ffffff;
}

section {
  margin: 20px 0px;
}

button {
  padding: 10px 10px;
  border-radius: 7px;
  margin: 3px 5px;
  cursor: pointer;
}

form .field {
  padding: 5px;
  margin: 5px 0px;
  display: flex;
  justify-content: space-between;
  flex-direction: row;
}
form
  .field[required]
  .input-field.ng-select
  .ng-select-container
  .ng-value-container
  .ng-placeholder:after,
form .field[required] label:after {
  content: "*";
  color: #f44336;
  margin-left: 5px;
  font-size: 20px;
  position: absolute;
  top: -5px;
}

form .field label {
  position: relative;
  margin: 5px 0px;
  flex: 1;
  text-align: left;
}

form .field input,
form .field select {
  flex: 2;
  padding: 15px 5px;
  width: 70%;
  border: 1px solid #c9c9c7;
  border-radius: 5px;
}

form .field.column {
  flex-direction: column;
}
form .field.column input,
form .field.column select {
  width: 100%;
}

.ng-valid[required],
.ng-valid.required {
  border-left: 5px solid #42a948; /* green */
}

.ng-invalid:not(form) {
  border-left: 5px solid #a94442 !important; /* red */
}
